# SQConvert::SQAutoFreePointers Struct Reference

Pointers assigned to this class will be free'd when this instance comes out of scope. More...

`#include <squirrel_helper.hpp>`

Inheritance diagram for SQConvert::SQAutoFreePointers:

## Detailed Description

Pointers assigned to this class will be free'd when this instance comes out of scope.

Useful to make sure you can use strdup(), without leaking memory.

Definition at line 31 of file squirrel_helper.hpp.

The documentation for this struct was generated from the following file:

- src/script/squirrel_helper.hpp